@media screen and (max-width:768px){
    /* ----------------
    start navigation 
    ----------------- */
    .nav-box .logo-bx img{
        height: 50px;
    }
    .nav-box .profile-box{
        display: none;
    }
    .nav-box nav ul{
        flex-direction: column;
        gap: 5;
    }
    .sidebar {
        position: fixed;
        left: -300px;
        top: 0;
        bottom: 0 !important;
        width: 250px;
        background:  #1800ac;
        box-shadow: 2px 0 10px rgba(0,0,0,0.1);
        transition: 0.3s ease-in-out;
        z-index: 1000;
        overflow-y: auto;
        padding: 20px;
        height: 100vh;
    }
    .sidebar.active {
        left: 0;
    }
    .overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.4);
        display: none;
        z-index: 999;
    }
    .sidebar.active{
        display: block !important;
    }
    .slider-image img{
        height: auto;
    }

    /* ---------
    start layout 
    ---------- */
    .detail-section{
        padding: 3rem 0;
    }
    /*----------------
     admin dashboard 
    ---------------- */
    #sidebar {
        margin-left: -250px;
    }
    #sidebar.active {
        margin-left: 0;
    }
    #sidebarCollapse span {
        display: none;
    }
    /*------------------
     start About page 
    ------------------ */
    .about-hero {
        padding: 60px 0;
    }
    .section-about {
        padding: 50px 0;
    }
    .team-img {
        height: 220px;
    }
    /*------------------
     start gallery page 
    ------------------ */
    .gallery-header {
        padding: 60px 0;
    }
    .gallery-grid {
        column-count: 1;
    }
    .search-container {
        margin-bottom: 30px;
    }
    /*---------------
     contact us page
    --------------- */
    .feature-item {
        flex-direction: column;
        text-align: center;
    }
    .feature-icon {
        margin-right: 0;
        margin-bottom: 10px;
    }
    /*---------------
    start service page
    --------------- */
    .coal-section {
    padding: 60px 15px;
    }
    
    .stats-number {
    font-size: 2rem;
    }
    .img-fluids{
        max-width: 100%;
    }
}

@media (max-width: 992px) {
    .gallery-grid {
        column-count: 2;
    }
    /*---------------
     contact us page
    --------------- */
    .contact-visual {
        padding: 30px;
    }
    .contact-form-section {
        padding: 30px;
    }
}

@media (max-width: 650px) {
    .gallery-grid {
        column-count: 1;
    }
}